
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(syncthingmodel_varname "LIB_SYNCTHING_MODEL")
set(syncthingmodel_static_varname "LIB_SYNCTHING_MODEL")
set(LIB_SYNCTHING_MODEL_DISPLAY_NAME "Data models of Syncthing Tray")
set(LIB_SYNCTHING_MODEL_AUTHOR "Martchus")
set(LIB_SYNCTHING_MODEL_VERSION "0.9.0")
set(LIB_SYNCTHING_MODEL_VERSION_MAJOR "0")
set(LIB_SYNCTHING_MODEL_VERSION_MINOR "9")
set(LIB_SYNCTHING_MODEL_VERSION_PATCH "0")
set(LIB_SYNCTHING_MODEL_GIT_REV_COUNT "")
set(LIB_SYNCTHING_MODEL_GIT_LAST_COMMIT_ID "")
set(LIB_SYNCTHING_MODEL_URL "https://github.com/Martchus/syncthingtray")
set(LIB_SYNCTHING_MODEL_DESCRIPTION "Data models of Syncthing Tray")
set(LIB_SYNCTHING_MODEL_LICENSE "GPL-2")

# define general config
set(LIB_SYNCTHING_MODEL_IS_HEADER_ONLY NO)
set(LIB_SYNCTHING_MODEL_HAS_SHARED_LIB ON)
set(LIB_SYNCTHING_MODEL_HAS_STATIC_LIB OFF)
set(LIB_SYNCTHING_MODEL_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(LIB_SYNCTHING_MODEL_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(LIB_SYNCTHING_MODEL_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(LIB_SYNCTHING_MODEL_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingmodel/cmake/modules")
set(LIB_SYNCTHING_MODEL_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingmodel/cmake")
set(LIB_SYNCTHING_MODEL_PRIVATE_QT_MODULES "Network;Gui;Widgets;Svg;Core")
set(LIB_SYNCTHING_MODEL_PRIVATE_KF_MODULES "")
set(LIB_SYNCTHING_MODEL_PUBLIC_QT_MODULES "Gui;Widgets")
set(LIB_SYNCTHING_MODEL_PUBLIC_KF_MODULES "")
set(LIB_SYNCTHING_MODEL_HAS_QT_TRANSLATION_FILES YES)
set(LIB_SYNCTHING_MODEL_QT_RESOURCES syncthingmodelicons;qtutilsicons;qtutilities_translations)

# include files for shared/static specific configuration
set(LIB_SYNCTHING_MODEL_HAS_SHARED_LIB NO)
set(LIB_SYNCTHING_MODEL_HAS_STATIC_LIB NO)
file(GLOB LIB_SYNCTHING_MODEL_SPECIFIC_CONFIG_FILES
    LIST_DIRECTORIES OFF
    "${CMAKE_CURRENT_LIST_DIR}/syncthingmodel?*Config.cmake"
)
foreach(SPECIFIC_CONFIG_FILE IN LISTS LIB_SYNCTHING_MODEL_SPECIFIC_CONFIG_FILES)
    include("${SPECIFIC_CONFIG_FILE}")
endforeach()
unset(SPECIFIC_CONFIG_FILE)

# set default target: prefer shared lib over static lib
if(LIB_SYNCTHING_MODEL_HAS_SHARED_LIB)
    set(LIB_SYNCTHING_MODEL_LIB "syncthingmodel")
else()
    set(LIB_SYNCTHING_MODEL_LIB "syncthingmodel_static")
endif()

# define macro to ease use of library in projects following conventions of c++utilities' build script
macro(use_syncthingmodel)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${LIB_SYNCTHING_MODEL_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${LIB_SYNCTHING_MODEL_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(LIB_SYNCTHING_MODEL_LINKAGE AUTO_LINKAGE)
    else()
        set(LIB_SYNCTHING_MODEL_LINKAGE "${ARG0}")
    endif()
    link_against_library(LIB_SYNCTHING_MODEL "${LIB_SYNCTHING_MODEL_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES
        ${LIB_SYNCTHING_MODEL_PUBLIC_QT_MODULES}
        ${LIB_SYNCTHING_MODEL_PRIVATE_QT_MODULES}
    )
    list(APPEND IMPORTED_KF_MODULES
        ${LIB_SYNCTHING_MODEL_PUBLIC_KF_MODULES}
        ${LIB_SYNCTHING_MODEL_PRIVATE_KF_MODULES}
    )
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(LIB_SYNCTHING_MODEL_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES syncthingmodel)
    endif()
endmacro()
